﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication2
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
        }
    }
    public class DataSource : DependencyObject
    {
        public static readonly DependencyProperty YLabelMarginProperty = DependencyProperty.Register("YLabelMargin", typeof(double), typeof(DataSource));
        public virtual double YLabelMargin { get { return (double)this.GetValue(DataSource.YLabelMarginProperty); } set { this.SetValue(DataSource.YLabelMarginProperty, value); } }
    }
    public class LeftMarginConverter : IValueConverter
    {
        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            double yLabelValue = (double)value;
            return new Thickness(yLabelValue, 0, 0, 0);
        }
    }
}